IF OBJECT_ID('[Environments_Extended]') IS NOT NULL
	DROP VIEW [Environments_Extended]
GO

CREATE VIEW [Environments_Extended]
AS

	SELECT 
        E.[Environment_Id]
       ,E.[Environment_Name]
       ,E.[CreatedBy_User_Name]
       ,E.[CreatedOn_Date]
       ,E.[ModifiedBy_User_Name]
       ,E.[ModifiedOn_Date]
       ,E.[Active_Indicator]
       ,E.[Display_Sequence]
       ,E.[Parent_Environment_Id]
       ,[Parent_Environment_Name] = E_PARENT.[Environment_Name]
       ,[Parent_Display_Sequence] = E_PARENT.[Display_Sequence]
       ,[Servers_Count] = (SELECT COUNT(*) 
                            FROM [EnvironmentServers] ES 
                           WHERE ES.[Environment_Id] = E.[Environment_Id])

	  FROM [Environments] E
 
 LEFT JOIN [Environments] E_PARENT
        ON E_PARENT.[Environment_Id] = E.[Parent_Environment_Id]

GO
