EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Artifacts_GetArtifactByBuildId',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildArtifacts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets an artifact based on its name and associated build ID.'
GO


IF OBJECT_ID('[Artifacts_GetArtifactByBuildId]') IS NOT NULL DROP PROCEDURE [Artifacts_GetArtifactByBuildId]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Artifacts_GetArtifactByBuildId]
(
	@Build_Id INT,
	@Artifact_Name VARCHAR(50)
)
AS
BEGIN

	SELECT *
	  FROM [BuildArtifacts_Extended]
     WHERE [Build_Id] = @Build_Id
       AND [Artifact_Name] = @Artifact_Name

END
GO

GRANT EXECUTE ON [Artifacts_GetArtifactByBuildId] TO [BuildMasterUser_Role]
