EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetBuildsSlim',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Builds_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets basic information about a build.'
GO


IF OBJECT_ID('[Builds_GetBuildsSlim]') IS NOT NULL DROP PROCEDURE [Builds_GetBuildsSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetBuildsSlim]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER = NULL,
	@BuildStatus_Name VARCHAR(8) = NULL,
	@Build_Count INT = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	IF (@Build_Count IS NOT NULL AND @Build_Count > 0)
	BEGIN
		SET ROWCOUNT @Build_Count
	END

	SELECT *
	  FROM [Builds_Slim]
	 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@Release_Number IS NULL OR [Release_Number] = @Release_Number)
	   AND (@BuildStatus_Name IS NULL OR [BuildStatus_Name] = @BuildStatus_Name)
	  ORDER BY [Release_Sequence] DESC, [Build_Sequence] DESC, [CreatedOn_Date] DESC

END
GO

GRANT EXECUTE ON [Builds_GetBuildsSlim] TO [BuildMasterUser_Role]