EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseConnections_DeleteConnection',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a database connection.'
GO


IF OBJECT_ID('[DatabaseConnections_DeleteConnection]') IS NOT NULL DROP PROCEDURE [DatabaseConnections_DeleteConnection]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseConnections_DeleteConnection]
(
	@DatabaseConnection_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [DatabaseConnections]
	 WHERE [DatabaseConnection_Id] = @DatabaseConnection_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DatabaseConnections_DeleteConnection] TO [BuildMasterUser_Role]