EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_IsManualActionComplete',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'CompletedBy_User_Name',
    /* Description_Text        */ 'Returns the user which has completed the manual action, or null if the action is not completed.'
GO

IF OBJECT_ID('[Executions_IsManualActionComplete]') IS NOT NULL DROP PROCEDURE [Executions_IsManualActionComplete]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_IsManualActionComplete]
(
	@Execution_Id INT,
	@ManualAction_Sequence INT,
	@CompletedBy_User_Name USERNAME = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	SET @CompletedBy_User_Name = (SELECT [CompletedBy_User_Name]
	                                FROM [ManualActionsInProgress]
								   WHERE [Execution_Id] = @Execution_Id
								     AND [ManualAction_Sequence] = @ManualAction_Sequence)

END
GO

GRANT EXECUTE ON [Executions_IsManualActionComplete] TO [BuildMasterUser_Role]
