EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'IssueSources_GetIssueSources',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'IssueSources_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the issue sources, optionally filtered to a release scope.'
GO


IF OBJECT_ID('[IssueSources_GetIssueSources]') IS NOT NULL DROP PROCEDURE [IssueSources_GetIssueSources]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [IssueSources_GetIssueSources]
(
    @Release_Id INT = NULL
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [IssueSources_Extended]
     WHERE @Release_Id IS NULL
        OR ([Application_Id] IS NULL AND [ApplicationGroup_Id] IS NULL)
        OR ([Application_Id] IS NOT NULL 
            AND [Application_Id] = (SELECT [Application_Id] FROM [Releases] WHERE [Release_Id] = @Release_Id))
        OR ([ApplicationGroup_Id] IS NOT NULL 
            AND [ApplicationGroup_Id] IN (SELECT G.[ApplicationGroup_Id]
                                            FROM [Releases] R 
                                                 INNER JOIN [Applications] A
                                                         ON R.[Application_Id] = A.[Application_Id]
                                                 CROSS APPLY dbo.[ApplicationGroups_GetAncestorGroups](A.[ApplicationGroup_Id]) G
                                          WHERE [Release_Id] = @Release_Id))
                                          

END
GO

GRANT EXECUTE ON [IssueSources_GetIssueSources] TO [BuildMasterUser_Role]